summaryrefslogtreecommitdiffstats
path: root/lib/time
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 13:16:40 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 13:16:40 +0000
commit47ab3d4a42e9ab51c465c4322d2ec233f6324e6b (patch)
treea61a0ffd83f4a3def4b36e5c8e99630c559aa723 /lib/time
parentInitial commit. (diff)
downloadgolang-1.18-47ab3d4a42e9ab51c465c4322d2ec233f6324e6b.tar.xz
golang-1.18-47ab3d4a42e9ab51c465c4322d2ec233f6324e6b.zip
Adding upstream version 1.18.10.upstream/1.18.10upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'lib/time')
-rw-r--r--lib/time/README10
-rwxr-xr-xlib/time/update.bash39
-rw-r--r--lib/time/zoneinfo.zipbin0 -> 425837 bytes
3 files changed, 49 insertions, 0 deletions
diff --git a/lib/time/README b/lib/time/README
new file mode 100644
index 0000000..0de06df
--- /dev/null
+++ b/lib/time/README
@@ -0,0 +1,10 @@
+The zoneinfo.zip archive contains time zone files compiled using
+the code and data maintained as part of the IANA Time Zone Database.
+The IANA asserts that the database is in the public domain.
+
+For more information, see
+https://www.iana.org/time-zones
+ftp://ftp.iana.org/tz/code/tz-link.html
+https://datatracker.ietf.org/doc/html/rfc6557
+
+To rebuild the archive, read and run update.bash.
diff --git a/lib/time/update.bash b/lib/time/update.bash
new file mode 100755
index 0000000..feb95e2
--- /dev/null
+++ b/lib/time/update.bash
@@ -0,0 +1,39 @@
+#!/bin/bash
+# Copyright 2012 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+# This script rebuilds the time zone files using files
+# downloaded from the ICANN/IANA distribution.
+# Consult https://www.iana.org/time-zones for the latest versions.
+
+# Versions to use.
+CODE=2021e
+DATA=2021e
+
+set -e
+rm -rf work
+mkdir work
+cd work
+mkdir zoneinfo
+curl -L -O https://www.iana.org/time-zones/repository/releases/tzcode$CODE.tar.gz
+curl -L -O https://www.iana.org/time-zones/repository/releases/tzdata$DATA.tar.gz
+tar xzf tzcode$CODE.tar.gz
+tar xzf tzdata$DATA.tar.gz
+
+make CFLAGS=-DSTD_INSPIRED AWK=awk TZDIR=zoneinfo posix_only
+
+cd zoneinfo
+rm -f ../../zoneinfo.zip
+zip -0 -r ../../zoneinfo.zip *
+cd ../..
+
+go generate time/tzdata
+
+echo
+if [ "$1" = "-work" ]; then
+ echo Left workspace behind in work/.
+else
+ rm -rf work
+fi
+echo New time zone files in zoneinfo.zip.
diff --git a/lib/time/zoneinfo.zip b/lib/time/zoneinfo.zip
new file mode 100644
index 0000000..a859b41
--- /dev/null
+++ b/lib/time/zoneinfo.zip
Binary files differ